STUBMAKER(1)

NAME
stubmaker.pl - Generates client stubs from a WSDL file.

OPTIONS

-d <dirname>
    Specifies the directory you wish to output the files to. The directory must already exist.

-v  Turns on "verbose" output during the code stub generation process. To be honest, there is not much the program outputs, but if you must see something output to the console, then this fits the bill.

--help
    Outputs a short help message.

--version
    Outputs the current version of stubmaker.pl.

STUB FILES

  STUB SUBROUTINES
The "class" or "package" created by stubmaker.pl is actually a sub-class of the core SOAP::Lite object. As a result, all methods one can call upon SOAP::Lite one can also call upon generated stubs.

For example, suppose you wanted to obtain readable output from the generated stub, then simply call readable(1) on the stub's instance. See the example below.

The following subroutines are unique to generated stub classes, and help the user control and configure the stub class.

want_som(boolean)
    When set to 1, SOAP::Lite will return SOAP::SOM objects to the user upon invoking a method on a remote service. This is very helpful when you need to check to see if the return value is a SOAP::Fault or not. When set to 0, SOAP::Lite will return the return value of the method.

EXAMPLES

  Invoking stubmaker.pl from the command line
> perl stubmaker.pl http://www.xmethods.net/sd/StockQuoteService.wsdl Or: > perl "-MStockQuoteService qw(:all)" -le "print getQuote('MSFT')"

  Working with stub classes
Command line: > perl stubmaker.pl http://ws1.api.re2.yahoo.com/ws/soap-demo/full.wsdl

File: echo.pl > use full; > use SOAP::Lite +trace => qw( debug ); > my $f = new full; > $f->use_prefix(0); > $f->readable(1); > $f->want_som(1); > $som = $f->echoViaBase64("foo");

COPYRIGHT
Copyright (C) 2000-2005 Paul Kulchenko. All rights reserved.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.